#! /usr/bin/python3

import subprocess

def pagenumberPDF(numberofpages, filename):
	pagebreaks = "<hr>" * numberofpages
	pages = """<!DOCTYPE html>
	<html>
	<head>
		<meta charset='utf-8'>
	</head>
	<body>{}</body>
	</html>
	""".format(pagebreaks)

	html = open('pagenumbers.html', 'w+')
	html.write(pages)
	html.close()

	cmd = ["weasyprint", '-s', 'pagenumbers.css', 'pagenumbers.html', filename]
	subprocess.run(cmd)
	print("--> PDF written: {}".format(filename))

pagenumberPDF(87, 'pagenumbers.pdf')